beneficiaryRequiredFields

DEPRECATED The beneficiaryRequiredFields query fetches the required fields for successful beneficiary creation on any given corridor.

Parameters

TypeRequiredDescription
String!true2 letter ISO code of the country the bank account is located
String!trueThe 3 character code of the currency
String!true2 letter ISO code of the country the beneficiary resides in

GraphQL Query

query beneficiaryRequiredFields (
    $bank_country: ISO3166_1!
    $currency: ISO4217!
    $beneficiary_country: ISO3166_1
) {
    beneficiaryRequiredFields (
        bank_country: $bank_country 
        currency: $currency
        beneficiary_country: $beneficiary_country
    ) {
        personal {
            variable
            regex
            variable_sub_type
            example
        }
        business {
            variable
            regex
            variable_sub_type
            example
            valid_bank_codes {
                code
                bank_name
                swift_bic
            }
        }
    }
}

Query Variables

{
  "bank_country": "BR",
  "currency": "BRL",
  "beneficiary_coutnry": "BR"
}
Body Params
string
Defaults to {}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json